Subject: bug#9960: Compiling Emacs trunk with MSVC

From: Fabrice Popineau <[email-masked]>
Date: Sat, 24 Mar 2012 17:10:16 +0100

>
> > On my side, there is still this messy 'tzname', which seems to be defined
> > in some part an not in some others.
> > I need the patch below.  It could probably be eliminated by a careful
> > analysis of what files are included.
> > I think the problem is that tzname may be defined to be _tzname _before_
> > including the regular MS <time.h> .
>
> This should now be fixed (with trunk revision 107670).
>
> Fabrice, please tell if there are any other problems that prevent the
> 32-bit MSVC build from working.  If no problems remain, I will close
> this bug.
>
>
It is working out of the box.
I did a bootstrap after configure.bat.
All I had to do was to set usercflags (graphics libraries and so on).

Thanks,

Fabrice